Summary:	X.org video driver for S3 ViRGE and Trio3D video chips
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów graficznych S3 ViRGE i Trio3D
Name:		xorg-driver-video-s3virge
Version:	1.11.1
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-video-s3virge-%{version}.tar.xz
# Source0-md5:	e74bb0147656fb0cc149732d76d3743a
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
BuildRequires:	xz
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-s3virge < 1:7.0.0
Obsoletes:	XFree86-S3V < 4
Obsoletes:	XFree86-driver-s3virge < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for S3 ViRGE and Trio3D video chips. It supports
PCI and AGP video cards based on the following chips:
- ViRGE (86C325),
- ViRGE VX (86C988),
- ViRGE DX (86C375),
- ViRGE GX (86C385),
- ViRGE GX2 (86C357),
- ViRGE MX (86C260),
- ViRGE MX+ (86C280),
- Trio3D (86C365),
- Trio3D/2X (86C362, 86C368).

%description -l pl.UTF-8
Sterownik obrazu X.org dla układów graficznych S3 ViRGE i Trio3D.
Obsługuje karty PCI i AGP oparte na następujących układach:
- ViRGE (86C325),
- ViRGE VX (86C988),
- ViRGE DX (86C375),
- ViRGE GX (86C385),
- ViRGE GX2 (86C357),
- ViRGE MX (86C260),
- ViRGE MX+ (86C280),
- Trio3D (86C365),
- Trio3D/2X (86C362, 86C368).

%prep
%setup -q -n xf86-video-s3virge-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README TODO
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/s3virge_drv.so
%{_mandir}/man4/s3virge.4*
%changelog
* Wed Mar 01 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-s3virge.git;a=log;h=master

* Wed Mar 01 2023 Jakub Bogusz <qboosh@pld-linux.org> e53f38d
- updated to 1.11.1

* Sun Oct 31 2021 Jan Rękorajski <baggins@pld-linux.org> 887c7d5
- rebuil with xorg-xserver-server 21.1.0

* Wed Feb 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 2e2036c
- updated to 1.11.0

* Wed May 23 2018 Jan Rękorajski <baggins@pld-linux.org> 7b4344a
- fix building for xserver 1.20
- rel 4

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> cb95b5c
- release 3 (by relup.sh)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 6bca750
- release 2 (by relup.sh)

* Wed Sep 30 2015 Jakub Bogusz <qboosh@pld-linux.org> 4a7a72e
- updated to 1.10.7

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0de2c31
- due to xserver 1.17
- release 7 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a66b9a6
- xserver rebuild
- release 6 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a2155c8
- xserver rebuild
- release 5 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 182a06d
- release 4 (by relup.sh)

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 9f61d9f
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a80fc1
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 5ffbec4
- updated to 1.10.6

* Tue May 22 2012 Jakub Bogusz <qboosh@pld-linux.org> fab1853
- updated to 1.10.5

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1dfea39
- release 9

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b01eb83
- release 8

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> 1e9517f
- xorg-driver-video virtual for video drivers
- release 7

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3cf4b86
- release 6

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 82c91b9
- rel 5

